// ETSerialPortViewerDlg.h : header file
//

#include "afxwin.h"
#include "afxcmn.h"
#if !defined(AFX_ETSERIALPORTVIEWERDLG_H__CD89AB94_CC4D_456E_ABF0_905115634941__INCLUDED_)
#define AFX_ETSERIALPORTVIEWERDLG_H__CD89AB94_CC4D_456E_ABF0_905115634941__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// Global data

extern IASLSerialOutPort3* gpISerialOutPort;
#define WM_NEW_MSG  (WM_USER + 1)

/////////////////////////////////////////////////////////////////////////////
// CETSerialPortViewerDlg dialog

class CETSerialPortViewerDlg : public CDialog
{
// Construction
public:
	CETSerialPortViewerDlg(CWnd* pParent = NULL);	// standard constructor

	//WOWP begin
	UINT MyControllingFunction( LPVOID pParam );
//	void Test_Structure();
	void Display_Msg(CString str);
	void Left_Mouse_Click_Resease();
	void Mouse_Move_Abs(double x_mov, double y_mov);
//	int static MyFunction();
//	int static KalmanFilter( LPVOID lpArg );
	DWORD WINAPI StartThread(LPVOID iValue);
	//WOWP end
// Dialog Data
	//{{AFX_DATA(CETSerialPortViewerDlg)
	enum { IDD = IDD_ETSERIALPORTVIEWER_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CETSerialPortViewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CETSerialPortViewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnGetData();
	afx_msg void OnStartContinuous();
	afx_msg void OnStopContinuous();
	afx_msg void OnSelectCfgFile();
	afx_msg void OnClear();
	afx_msg void OnFormatStandard();
	afx_msg void OnFormatFromCfgFile();
	//}}AFX_MSG
	afx_msg LRESULT OnNewMsg(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

private:
// members
	CEventHandler * m_pHandler;
	bool m_bContinuous;

// helper functions
	void EnableDisable (bool bConnected, bool bContinuousReading);
	void AddDataRecord(LPSAFEARRAY data, long count);
	void Press_Alt_Tab();


	int temp;
	afx_msg void OnBnClickedWowstart();
	afx_msg void OnBnClickedBtest();
public:
    bool kill_wowthread;
	CListCtrl* listwowpercept;
	afx_msg void OnBnClickedWowkill();
	afx_msg void OnBnClickedClearwowstatus();
	CString x_pos_rep_str;
    CString y_pos_rep_str;
	void RetrieveXYPosData(LPSAFEARRAY data, long count, double& x_pos_dbl, double& y_pos_dbl);
	CString Double_to_CString_Custom(double value);
public:
	afx_msg void OnBnClickedButton1();
public:
	afx_msg void OnBnClickedButton2();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ETSERIALPORTVIEWERDLG_H__CD89AB94_CC4D_456E_ABF0_905115634941__INCLUDED_)
